Jump to content
The simFlight Network Forums
JaguAir

Differences among FSUIPC 4.974 & 4.975 32-Bit (this last not being able to be loaded by FSX:SE)

Recommended Posts

Hello Pete ... I will report to you know on the progress of having FSUIPC working back again in a 32-bit WinXP setup. (from a previous post ...)

I managed to run the FSUIPC4.975 installer in a win10 PC  and got the FSUIPC4.dll  v4.97501 and rest of files to be put in the modules directory of a FSX Steam Edition setup on WinXP.  I configure the dll.xml to have the new FSUIPC4.dll loaded by FSX:SE and, it did not load at all. I switched on the Simconnect logging and got the following information:

0.00000 SimConnect version 10.0.62615.0

0.00923 Server: Scope=global, Protocol=IPv4, Address=osaka, Port=50000, MaxClients=64
0.01416 Server: Scope=local, Protocol=Auto, Address=127.0.0.1, Port=50000, MaxClients=64
0.03553 Server: Scope=local, Protocol=Pipe, Name=\\.\pipe\Microsoft Flight Simulator\SimConnect, MaxClients=64
0.04054 Server: Scope=local, Protocol=IPv4, Address=127.0.0.1, Port=1113, MaxClients=64
 
25.14153 DLL Failed to load. Check for missing dependencies.
25.14327 DLL Load Failed:  Error=-3  Path="C:\Documents and Settings\hhm\Mis documentos\MiInet\Steam\steam\steamapps\common\FSX\Modules\FSUIPC4.975\FSUIPC4.dll"

 

Not log created by FSUIPC as it is normal.

Version 4.974 always was (is) loaded by FSX:SE without any problem.

So  i am stuck again with the new 4.975 version.

 

Kind Regards

Herminio Herrera

simconnect001.log

Share this post


Link to post
Share on other sites
49 minutes ago, JaguAir said:

25.14153 DLL Failed to load. Check for missing dependencies.

Evidently it needs something missing in WinXP.

I'm not really surprised.

50 minutes ago, JaguAir said:

So  i am stuck again with the new 4.975 version.

Why "stuck"?  Use 4.974. 

Pete

 

Share this post


Link to post
Share on other sites
1 hour ago, JaguAir said:

25.14327 DLL Load Failed:  Error=-3  Path="C:\Documents and Settings\hhm\Mis documentos\MiInet\Steam\steam\steamapps\common\FSX\Modules\FSUIPC4.975\FSUIPC4.dll"

You seem to have an extra folder in your path (FSUIPC4.975) - that bold text should be (at a guess):
    C:\Documents and Settings\hhm\Mis documentos\MiInet\Steam\steam\steamapps\common\FSX\Modules\FSUIPC4.dll

So maybe you have specified the wrong path in the DLL.xml?

 

Share this post


Link to post
Share on other sites
1 hour ago, John Dowson said:

So maybe you have specified the wrong path in the DLL.xml?

Good spot John! I missed that.

Dad

 

  • Like 1

Share this post


Link to post
Share on other sites
2 hours ago, Pete Dowson said:

Evidently it needs something missing in WinXP.

I'm not really surprised.

Hello Pete , just let me suggest you that it is informed on the download page http://www.fsuipc.com/ that FSUIPC v4.975 32-bit does not work on Windows XP 32-bit. It would be nice.

Kind regards

HH

Share this post


Link to post
Share on other sites
49 minutes ago, JaguAir said:

let me suggest you that it is informed on the download page http://www.fsuipc.com/ that FSUIPC v4.975 32-bit does not work on Windows XP 32-bit.

I assume correcting the error John spotted didn't help?

Though I never dreamed anyone using FSX or later and FSUIPC would still be using WinXP,  it it probably a good idea. But not specifically WinXP, also all the other old Windows versions. I started on my software back in Windows 3 days. Before that I was using non-Windows systems.

I'll probably just say that no version of FSUIPC4 is supported on any version of Windows before Windows 7, and will probably not work on such versions in any case. How's that?

Pete

 

Share this post


Link to post
Share on other sites
15 minutes ago, Pete Dowson said:

I assume correcting the error John spotted didn't help?

Not ... i am affraid ... same results

 

16 minutes ago, Pete Dowson said:

Though I never dreamed anyone using FSX or later and FSUIPC would still be using WinXP,  it it probably a good idea. But not specifically WinXP, also all the other old Windows versions. I started on my software back in Windows 3 days. Before that I was using non-Windows systems.

would you be surprised if i tell you that my ZXSpectrum 48K memory from 1983 is still working?

 

20 minutes ago, Pete Dowson said:

I'll probably just say that no version of FSUIPC4 is supported on any version of Windows before Windows 7, and will probably not work on such versions in any case. How's that?

 It sounds to me like an invitation, and that some other technology archeologist (as i am) will not be able to avoid to have a try of FSUIPC V4.975 on windows 3. For sure whoever makes it work will deserve a prize.     Just kidding ...... anyway, Ok to me.

 

Kind Regards

HH

simconnect007.log

Share this post


Link to post
Share on other sites
3 hours ago, JaguAir said:

would you be surprised if i tell you that my ZXSpectrum 48K memory from 1983 is still working?

No.

My N-gauge model railway is controlled via a working Commodore Amiga from the same era.

Pete

 

 

 

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use. Guidelines Privacy Policy We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.